Page MenuHomePhabricator

Icinga MariaDB disk space check on silver checks the wrong partition
Closed, InvalidPublic

Description

The check on Icinga is currently in warning, although the partition that is at 90% usage is the root one, not the /srv one where MariaDB has the data.

Probably related to T151489

Event Timeline

Volans created this task.Nov 23 2016, 9:27 PM

There is no /srv partition on silver. probably it should check /a instead of / ?

The MariaDB disk space check is a legacy of the past- there should be only one disk check, and the critical (and warning) level should be higher for database machines, the data partition, which I think it is now recently possible (maybe) thanks to hiera integration, but I've never had the time to see a perfect solution (not sure it is possible to set a larger threshold for single partitions within a role).

@jcrespo see T151489, there is a /srv mount point as well as /a mount point, they both mount the same partition!

1978Gage2001 moved this task from Triage to In progress on the DBA board.Dec 11 2017, 9:45 AM
1978Gage2001 moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from In progress to Triage on the DBA board.Dec 11 2017, 11:06 AM
jcrespo assigned this task to Andrew.Mar 9 2018, 4:45 PM

Close or invalid, probably?

Andrew closed this task as Invalid.Mar 9 2018, 5:29 PM

Yep, this is moot as silver is about to be switched off.

Andrew- I will not do that, but you may want to search open tickets with the keyworkd "silver" or "wikitech"- probably you will be able to get rid of a lot of backlog :-) This just happened to be a DBA task.